<?php
// index.php

require_once __DIR__ . '/../config/database.php';
require_once __DIR__ . '/../config/Router.php';  // Asegúrate de que esta ruta esté correcta
require_once __DIR__ . '/../routes/web.php';      // Asegúrate de que esta ruta esté correcta

// Instanciamos el enrutador
$router = new Router();

// Obtener la URL desde la consulta
$url = $_GET['url'] ?? '';


foreach ($router->getRoutes() as $route) {
    if ($url === $route['route']) {
        
        $action = explode('@', $route['action']);
        $controller = new $action[0]();
        $controller->{$action[1]}();
        break;
    }
}
